import { OnInit } from '@angular/core';
import { SafeResourceUrl, DomSanitizer } from '@angular/platform-browser';
import { AuthService } from '@auth0/auth0-angular';
import { User } from '@spartacus/core';
import { Observable } from 'rxjs';
import { LogoutService } from '../../services/logout.service';
import { UserAccountDetailServiceService } from '../../user-account-detail-service.service';
import * as i0 from "@angular/core";
export declare class CustomUserAccountComponent implements OnInit {
    private fiUserAccountDetailsService;
    private auth;
    private logoutService;
    sanitizer: DomSanitizer;
    logoutURL: string;
    urlSafe: SafeResourceUrl;
    modalRef: any;
    emailId: string;
    user$: Observable<User | undefined>;
    iframeRef: any;
    isDesktop: boolean;
    constructor(fiUserAccountDetailsService: UserAccountDetailServiceService, auth: AuthService, logoutService: LogoutService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    logout(content: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomUserAccountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomUserAccountComponent, "app-custom-user-account", never, {}, {}, never, never>;
}
